# Import surface mesh
from netgen.meshing import ImportMesh
mesh = ImportMesh("box.surf")

# Finding bounding box
x_max = -float("inf")
y_max = -float("inf")
z_max = -float("inf")
x_min = float("inf")
y_min = float("inf")
z_min = float("inf")
points = mesh.Points()
for element in mesh.Elements2D():
    for vertex in element.vertices:
        if points[vertex][0] < x_min:
            x_min = points[vertex][0]
        if points[vertex][1] < y_min:
            y_min = points[vertex][1]
        if points[vertex][2] < z_min:
            z_min = points[vertex][2]
        if points[vertex][0] > x_max:
            x_max = points[vertex][0]
        if points[vertex][1] > y_max:
            y_max = points[vertex][1]
        if points[vertex][2] > z_max:
            z_max = points[vertex][2]
print("Bounding box:")
print("x_min: ", x_min)
print("x_max: ", x_max)
print("y_min: ", y_min)
print("y_max: ", y_max)
print("z_min: ", z_min)
print("z_max: ", z_max)

# Visualise mesh
from ngsolve.comp import Mesh as NGSMesh
ngsmesh = NGSMesh(mesh)
from ngsolve import Draw
Draw(ngsmesh)